TESTING/LIN/ddrvrf2.f(3)

NAME
TESTING/LIN/ddrvrf2.f

SYNOPSIS

  Functions/Subroutines
subroutine ddrvrf2 (nout, nn, nval, a, lda, arf, ap, asav)
DDRVRF2

Function/Subroutine Documentation

  subroutine ddrvrf2 (integer nout, integer nn, integer, dimension( nn ) nval, double precision, dimension( lda, * ) a, integer lda, double precision, dimension( * ) arf, double precision, dimension(*) ap, double precision, dimension( lda, * ) asav)

DDRVRF2

Purpose:

    !>
    !> DDRVRF2 tests the LAPACK RFP conversion routines.
    !>

Parameters
    NOUT

    !>          NOUT is INTEGER
    !>                The unit number for output.
    !>

    NN

    !>          NN is INTEGER
    !>                The number of values of N contained in the vector NVAL.
    !>

    NVAL

    !>          NVAL is INTEGER array, dimension (NN)
    !>                The values of the matrix dimension N.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA,NMAX)
    !>

    LDA

    !>          LDA is INTEGER
    !>                The leading dimension of the array A.  LDA >= max(1,NMAX).
    !>

    ARF

    !>          ARF is DOUBLE PRECISION array, dimension ((NMAX*(NMAX+1))/2).
    !>

    AP

    !>          AP is DOUBLE PRECISION array, dimension ((NMAX*(NMAX+1))/2).
    !>

    ASAV

    !>          ASAV is DOUBLE PRECISION array, dimension (LDA,NMAX)
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 88 of file ddrvrf2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.